=== tests/benchmarks/gui/image/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(blendbench)
add_subdirectory(qimageconversion)
add_subdirectory(qimagereader)
add_subdirectory(qimagescale)
add_subdirectory(qpixmap)
add_subdirectory(qpixmapcache)
